(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     15514,        427]*)
(*NotebookOutlinePosition[     16599,        467]*)
(*  CellTagsIndexPosition[     16555,        463]*)
(*WindowFrame->Palette*)



Notebook[{
Cell[BoxData[
    RowBox[{
      StyleBox[GridBox[{
            {
              RowBox[{
                StyleBox["\[IndentingNewLine]",
                  FontColor->RGBColor[0, 1, 0]], 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->18,
                  FontColor->GrayLevel[0]], 
                RowBox[{
                  StyleBox[\(Single\ Qubit\ \ Tools\),
                    FontFamily->"Helvetica",
                    FontSize->18,
                    FontColor->GrayLevel[1]], 
                  StyleBox["\[IndentingNewLine]",
                    FontColor->GrayLevel[1]]}]}], 
              StyleBox["",
                FontColor->RGBColor[0, 1, 0]]},
            {
              ButtonBox[
                SubscriptBox["\[ScriptCapitalP]", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0]]], 
              ButtonBox[
                RowBox[{"PX", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[\(PY[\[SelectionPlaceholder]]\)], 
              ButtonBox[\(\[Sigma]\_\[SelectionPlaceholder]\)]},
            {
              ButtonBox[
                RowBox[{"Ket", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"Bra", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"KetX", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"BraX", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"KetY", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"BraY", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"Ket1", "[", 
                  
                  StyleBox[\(\[SelectionPlaceholder], \[SelectionPlaceholder]\
\),
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"Bra1", "[", 
                  
                  StyleBox[\(\[SelectionPlaceholder], \[SelectionPlaceholder]\
\),
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"ProjG", "[", 
                  RowBox[{
                    StyleBox["\[SelectionPlaceholder]",
                      ScriptLevel->0], 
                    StyleBox[",",
                      ScriptLevel->0], 
                    RowBox[{
                      StyleBox["{",
                        ScriptLevel->0], "\[SelectionPlaceholder]", "}"}]}], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"Tr", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox["RandomQubit1"], 
              ButtonBox[
                RowBox[{"Adj", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox["RandomKet1"], 
              ButtonBox["RandomBra1"]},
            {
              ButtonBox[
                RowBox[{"Rotqbit", "[", 
                  RowBox[{
                    RowBox[{"{", 
                      StyleBox["\[SelectionPlaceholder]",
                        ScriptLevel->0], 
                      StyleBox["}",
                        ScriptLevel->0]}], 
                    StyleBox[",",
                      ScriptLevel->0], 
                    StyleBox["\[SelectionPlaceholder]",
                      ScriptLevel->0]}], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"RotX", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"RotY", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"RotZ", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"Comm", "[", 
                  RowBox[{
                    StyleBox["\[SelectionPlaceholder]",
                      ScriptLevel->0], 
                    StyleBox[",",
                      ScriptLevel->0], "\[SelectionPlaceholder]"}], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"Fidelity", "[", 
                  RowBox[{
                    StyleBox["\[SelectionPlaceholder]",
                      ScriptLevel->0], 
                    StyleBox[",",
                      ScriptLevel->0], "\[SelectionPlaceholder]"}], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"Purity", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"Entropy", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[""], 
              ButtonBox[""]},
            {
              RowBox[{"\[IndentingNewLine]", 
                StyleBox[\(MultiQubit\ Tools\),
                  FontFamily->"Helvetica",
                  FontSize->18,
                  FontColor->GrayLevel[
                  1]]}], \(\(\[IndentingNewLine]\)\(\[IndentingNewLine]\)\)},
            {
              ButtonBox[
                RowBox[{"KetV", "[", 
                  RowBox[{"{", 
                    StyleBox["\[SelectionPlaceholder]",
                      ScriptLevel->0], 
                    StyleBox["}",
                      ScriptLevel->0]}], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"SP", "[", 
                  
                  StyleBox[\(\[SelectionPlaceholder], \
{\[SelectionPlaceholder]}\),
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"PTr", "[", 
                  RowBox[{
                    RowBox[{"{", 
                      StyleBox["\[SelectionPlaceholder]",
                        ScriptLevel->0], 
                      StyleBox["}",
                        ScriptLevel->0]}], 
                    StyleBox[",",
                      ScriptLevel->0], 
                    StyleBox["\[SelectionPlaceholder]",
                      ScriptLevel->0]}], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"(", 
                  
                  StyleBox[\(\[SelectionPlaceholder]\[CircleTimes]\
\[SelectionPlaceholder]\),
                    ScriptLevel->0], 
                  StyleBox[")",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"MeasureKet", "[", 
                  
                  StyleBox[\(\[SelectionPlaceholder], \
{\[SelectionPlaceholder]}, {\[SelectionPlaceholder]}\),
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox["RandomQubit2"]},
            {
              ButtonBox[
                RowBox[{"RandomQubitN", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              
              ButtonBox[\(MultiQProj[{\[SelectionPlaceholder]}, {\
\[SelectionPlaceholder]}]\)]},
            {
              RowBox[{"\[IndentingNewLine]", 
                StyleBox[" ",
                  FontFamily->"Helvetica",
                  FontSize->18,
                  FontColor->GrayLevel[1]], 
                RowBox[{
                  StyleBox[\(Common\ Gates\),
                    FontFamily->"Helvetica",
                    FontSize->18,
                    FontColor->GrayLevel[1]], "\[IndentingNewLine]"}]}], ""},
            {
              ButtonBox[
                RowBox[{"CNOT", "[", 
                  
                  StyleBox[\(\[SelectionPlaceholder], \
\[SelectionPlaceholder], \[SelectionPlaceholder]\),
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"CPHASE", "[", 
                  
                  StyleBox[\(\[SelectionPlaceholder], \
\[SelectionPlaceholder], \[SelectionPlaceholder]\),
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"Had", "[", 
                  
                  StyleBox[\(\[SelectionPlaceholder], \
{\[SelectionPlaceholder]}\),
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"CPHASEV", "[", 
                  RowBox[{
                  "\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]", 
                    ",", 
                    RowBox[{"{", 
                      StyleBox["\[SelectionPlaceholder]",
                        ScriptLevel->0], 
                      StyleBox["}",
                        ScriptLevel->0]}]}], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"ControlledX", "[", 
                  RowBox[{
                    StyleBox["\[SelectionPlaceholder]",
                      ScriptLevel->0], 
                    StyleBox[",",
                      ScriptLevel->0], 
                    StyleBox["\[SelectionPlaceholder]",
                      ScriptLevel->0], 
                    StyleBox[",",
                      ScriptLevel->0], "\[SelectionPlaceholder]"}], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{
                "ControlledY", 
                  "[", \(\[SelectionPlaceholder], \[SelectionPlaceholder], \
\[SelectionPlaceholder]\), 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"had", "[", 
                  
                  StyleBox[\(\[SelectionPlaceholder], \[SelectionPlaceholder]\
\),
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{"HALL", "[", 
                  StyleBox["\[SelectionPlaceholder]",
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"Toffoli", "[", 
                  
                  StyleBox[\(\[SelectionPlaceholder], \
\[SelectionPlaceholder], \[SelectionPlaceholder], \[SelectionPlaceholder]\),
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[
                RowBox[{
                "Swap", 
                  "[", \(\[SelectionPlaceholder], \[SelectionPlaceholder], \
\[SelectionPlaceholder]\), 
                  StyleBox["]",
                    ScriptLevel->0]}]]},
            {
              ButtonBox[
                RowBox[{"TwoOp", "[", 
                  
                  StyleBox[\(\[SelectionPlaceholder], \
\[SelectionPlaceholder], \[SelectionPlaceholder], \[SelectionPlaceholder], \
\[SelectionPlaceholder]\),
                    ScriptLevel->0], 
                  StyleBox["]",
                    ScriptLevel->0]}]], 
              ButtonBox[""]}
            }],
        Background->RGBColor[0.571389, 0.19675, 0.570504]], 
      "\[IndentingNewLine]"}]], NotebookDefault,
  PageBreakAbove->True,
  GridBoxOptions->{RowSpacings->0,
  ColumnSpacings->0}]
},
FrontEndVersion->"5.2 for X",
ScreenRectangle->{{0, 1280}, {0, 800}},
ClosingAutoSave->True,
Editable->False,
WindowToolbars->{},
PageWidth->531,
WindowSize->{313, 680},
WindowMargins->{{204, Automatic}, {Automatic, 0}},
WindowFrame->"Palette",
WindowElements->{},
WindowFrameElements->"CloseBox",
WindowClickSelect->False,
ScrollingOptions->{"PagewiseScrolling"->True,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
CellMargins->{{0, 0}, {Inherited, 0}},
Active->True,
CellOpen->True,
ShowCellLabel->False,
ShowCellTags->False,
ImageMargins->{{0, Inherited}, {Inherited, 0}},
Magnification->1
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1755, 51, 13755, 374, 782, NotebookDefault,
  PageBreakAbove->True]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

